<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateAbStaticPageCategoryTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('ab_static_page_category', function(Blueprint $table)
		{
			$table->integer('id')->nullable();
			$table->integer('site_id')->nullable();
			$table->bigInteger('date_orig')->nullable();
			$table->string('group_avail')->nullable();
			$table->string('name', 128)->nullable()->index();
			$table->text('description')->nullable();
			$table->boolean('active')->nullable()->index();
			$table->integer('sort_order')->nullable();
			$table->unique(['site_id','id']);
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('ab_static_page_category');
	}

}
